Customers
Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Query parameters
CustomerCodestringOptional
ClientIdstring · uuidOptional
Pageinteger · int32Optional
PageSizeinteger · int32Optional
Responses
200
OK
companyNamestring · nullableOptional
descriptionstring · nullableOptional
phonestring · nullableOptional
emailstring · nullableOptional
contactPersonstring · nullableOptional
taxIdstring · nullableOptional
idstring · uuidOptional
customerCodestring · nullableOptional
isDiscontinuedbooleanOptional
406
Not Acceptable
get/customers
GET /customers HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
[
{
"companyName": "text",
"description": "text",
"phone": "text",
"email": "text",
"contactPerson": "text",
"taxId": "text",
"addresses": [
{
"id": "text",
"name": "text",
"attnTo": "text",
"address1": "text",
"address2": "text",
"routeNumber": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"phone": "text",
"email": "text",
"isDefault": true
}
],
"id": "123e4567-e89b-12d3-a456-426614174000",
"client": {
"description": "text",
"ssccCompanyId": "text",
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"taxId": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"customerCode": "text",
"isDiscontinued": true
}
]Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Body
companyNamestring · nullableOptional
descriptionstring · nullableOptional
phonestring · nullableOptional
emailstring · nullableOptional
contactPersonstring · nullableOptional
taxIdstring · nullableOptional
clientIdstring · uuid · nullableOptional
customerCodestring · nullableOptional
Responses
200
OK
idstring · uuidOptional
406
Not Acceptable
post/customers
POST /customers HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 422
{
"companyName": "text",
"description": "text",
"phone": "text",
"email": "text",
"contactPerson": "text",
"taxId": "text",
"addresses": [
{
"id": "text",
"name": "text",
"attnTo": "text",
"address1": "text",
"address2": "text",
"routeNumber": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"phone": "text",
"email": "text",
"isDefault": true
}
],
"clientId": "123e4567-e89b-12d3-a456-426614174000",
"customerCode": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000"
}Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Body
companyNamestring · nullableOptional
descriptionstring · nullableOptional
phonestring · nullableOptional
emailstring · nullableOptional
contactPersonstring · nullableOptional
taxIdstring · nullableOptional
idstring · uuidOptional
Responses
200
OK
idstring · uuidOptional
406
Not Acceptable
put/customers
PUT /customers HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 394
{
"companyName": "text",
"description": "text",
"phone": "text",
"email": "text",
"contactPerson": "text",
"taxId": "text",
"addresses": [
{
"id": "text",
"name": "text",
"attnTo": "text",
"address1": "text",
"address2": "text",
"routeNumber": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"phone": "text",
"email": "text",
"isDefault": true
}
],
"id": "123e4567-e89b-12d3-a456-426614174000"
}{
"id": "123e4567-e89b-12d3-a456-426614174000"
}Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Path parameters
idstring · uuidRequired
Responses
200
OK
companyNamestring · nullableOptional
descriptionstring · nullableOptional
phonestring · nullableOptional
emailstring · nullableOptional
contactPersonstring · nullableOptional
taxIdstring · nullableOptional
idstring · uuidOptional
customerCodestring · nullableOptional
isDiscontinuedbooleanOptional
406
Not Acceptable
get/customers/{id}
GET /customers/{id} HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
{
"companyName": "text",
"description": "text",
"phone": "text",
"email": "text",
"contactPerson": "text",
"taxId": "text",
"addresses": [
{
"id": "text",
"name": "text",
"attnTo": "text",
"address1": "text",
"address2": "text",
"routeNumber": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"phone": "text",
"email": "text",
"isDefault": true
}
],
"id": "123e4567-e89b-12d3-a456-426614174000",
"client": {
"description": "text",
"ssccCompanyId": "text",
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"taxId": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"customerCode": "text",
"isDiscontinued": true
}Last updated
